Subject: bug#48337: Fwd: 28.0.50; Emacs crashing randomly (possibly minibuffer activity related)

From: Alan Mackenzie <[email-masked]>
Date: Fri, 14 May 2021 16:31:56 +0000

Hello, Alex.

On Tue, May 11, 2021 at 23:07:01 +0100, Alex Bennée wrote:

> Alan Mackenzie <[email-masked]> writes:

> > On Tue, May 11, 2021 at 07:51:20 +0100, Alex Bennée wrote:
> >> I can now recreate at will with a magit sequence (l o hackbox/ TAB) which
> >> triggers a minibuffer re-size to accommodate the list of git branches:

> > Could you possibly give us a precise recipe to reproduce this bug, and a
> > GDB backtrace with Emacs compiled with CFLAGS='-O0 g3' (or similar)?  So
> > much of the needed information in your large dump post has been
> > optimised away by the compiler.  Would you please also make sure that
> > the Lisp backtrace is at the end of the GDB backtrace.  I think this
> > should happen automatically if you have an Emacs .gdbinit in the
> > directory where you start GDB from.

I now understand what the bug was, and have just committed a patch which
should have fixed it.  Could you please update your Emacs and test your
bug scenario, and either confirm to me that the bug is fixed, or say what
is still wrong.  If this has to wait until Monday that's OK, but please
let us know that.

Then, hopefully, we can close the bug.

> The later rr dumps have more symbols but didn't have the benefit of the
> Emacs' .gdbinit Lips backtrace. However I'm fairly confident it's being
> triggered by doom-modeline:

The actual trigger was something on buffer-list-update-hook.  That should
now no longer cause a problem.

[ .... ]

> -- 
> Alex Bennée

-- 
Alan Mackenzie (Nuremberg, Germany).